> For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch a single Pipeline

GET https://api.close.com/api/v1/pipeline/{id}/

Reference: https://developer.close.com/api/resources/pipelines/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2019-11-04T11:04:13.014979",
  "date_updated": "2019-11-13T14:12:13.051542",
  "id": "pipe_6gV01if4wo7r2YTVQDWP2j",
  "name": "Sales",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "statuses": [
    {
      "id": "stat_3PB2sedHBCjwuBImAEwgHOo858f2j41lpROkcl51Fzp",
      "label": "Active",
      "type": "active"
    },
    {
      "id": "stat_IOCtLYbAclJ8XAcb3yLUhQA3zlmjtXz8JMBLyXnNMF8",
      "label": "Won",
      "type": "won"
    },
    {
      "id": "stat_3mmBOyMmaG8yc4DmAPp9WmgbjhVctVLlnd9gmvWxBe2",
      "label": "Lost",
      "type": "lost"
    }
  ],
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python pipelines_get_example
import requests

url = "https://api.close.com/api/v1/pipeline/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript pipelines_get_example
const url = 'https://api.close.com/api/v1/pipeline/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go pipelines_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/pipeline/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby pipelines_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/pipeline/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java pipelines_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/pipeline/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php pipelines_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/pipeline/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp pipelines_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/pipeline/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```